--- /dev/null	Wed Apr  1 15:56:57 2015
+++ new/usr/src/lib/zlib/capabilities/Makefile.targ	Wed Apr  1 15:56:57 2015
@@ -0,0 +1,37 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
+#
+
+# Combine all HW specific objects into one relocatable object.
+# Assign any capabilities to this object, and define the interface.
+
+objcap.o:	$(HW_SPEC_OBJECTS) $(MAPFILE-CAP)
+		$(LD) -r -o $@ $(MAPOPT-CAP) -Breduce $(HW_SPEC_OBJECTS)
+
+# Convert the combined object capabilities object into a symbol capabilities
+# object.
+
+symcap.o:	$(OBJCAP)
+		$(LD) -r -o $@ -z symbolcap $(OBJCAP)
+
